#
# spec file for package sapinit (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sapinit
Version:        1.1
Release:        9.4
Group:          Productivity/Other
License:        GPL
URL:            http://www.novell.com/partners/sap/
Provides:       suse-sapinit
Obsoletes:      suse-sapinit
Summary:        SAP runtime initializiation
Source1:        sysconfig.sapr3
Source2:        rc.sapr3
Source3:        sysctl.conf.i386
Source4:        sysctl.conf.x86_64
Source8:        sysctl.conf.s390x
Source9:        sysctl.conf.ia64
Source10:       sysctl.conf.ppc64
Source12:       COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 ia64 s390x ppc64 x86_64
PreReq:         %insserv_prereq %fillup_prereq 
PreReq:         ps grep gawk textutils sed util-linux
Requires:       compat tcsh sysstat
%define sysctl /etc/sysctl.conf.sap

%description 
This package sets the kernel parameters to recommended values for SAP
systems. It provides an optional startup/shutdown mechanism for certain
SAP instances.



Authors:
--------
    SUSE LINUX Products GmbH


%install
mkdir -p $RPM_BUILD_ROOT
install -d -m 744 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/
install -m 744 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/sapr3
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin/
ln -sf ../../etc/init.d/sapr3 $RPM_BUILD_ROOT/usr/sbin/rcsapr3
%ifarch %ix86
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{sysctl}
%endif
%ifarch ia64
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{sysctl}
%endif
%ifarch s390x
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{sysctl}
%endif
%ifarch ppc64
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{sysctl}
%endif
%ifarch x86_64
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{sysctl}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -y -n sapr3 -s sapr3 START_SAP}
if [ -e /proc/meminfo ] ; then
  if ! [ -e /.buildenv ]; then
    /sbin/sysctl -p %{sysctl} || :
  fi
  # activate boot.sysctl
  #echo "activate sysctl at boot-time..."
  #/sbin/insserv /etc/init.d/boot.sysctl
  # calculate and set SHMFS_SIZE
  echo "replace SHMFS_SIZE with a reasonable value..."
  SHMSIZE=`free | egrep "^Mem|^Swap" |  gawk '{ sum=sum+$2; print sum; }' | tail -n 1`
  SHMSIZE=$(( $SHMSIZE * 600 ))
  sed "s/^SHMFS_SIZE=\"\"/SHMFS_SIZE=\"$SHMSIZE\"/g" \
    /etc/sysconfig/kernel > /etc/sysconfig/kernel.new && \
    mv /etc/sysconfig/kernel.new /etc/sysconfig/kernel
fi
exit 0

%postun
%{insserv_cleanup}

%files 
%defattr(-,root,root)
%config /etc/init.d/sapr3
/var/adm/fillup-templates/sysconfig.sapr3
/usr/sbin/rcsapr3
%config /etc/sysctl.conf.sap
%doc $RPM_SOURCE_DIR/COPYING

%changelog -n sapinit
* Wed Jun 21 2006 - stark@suse.de
- removed vm.heap-stack-gap as it doesn't exist in SLE10 (#186998)
* Tue Mar 07 2006 - stark@suse.de
- bump version number to 1.1 (to indicate version for SLES10)
- don't install cron job for sysstat but suggest starting sysstat
  from init script (#154982)
- changed kernel.sem as requested (#135465)
* Mon Feb 06 2006 - matz@suse.de
- Don't run sysctl in the build system.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 24 2005 - stark@suse.de
- changed values of kernel.sem
* Tue Oct 18 2005 - stark@suse.de
- added LICENSE/COPYING file (#128699)
* Tue Oct 11 2005 - stark@suse.de
- added vm.max_map_count parameter for all archs
* Mon Oct 10 2005 - stark@suse.de
- renamed package to sapinit
- reversioned for initial autobuild checkin
* Thu Sep 29 2005 - stark@suse.de
- create /etc/sysctl.conf.sap to avoid conflict with procps
- activate sapr3 init script by default to set sysctl
* Mon Aug 01 2005 - stark@suse.de
- changed ppc64 settings on behalf of IBM
* Tue Jun 21 2005 - stark@suse.de
- activated heap-stack setting for x86-64
* Fri Jan 21 2005 - stark@suse.de
- added x86-64 architecture
* Wed Aug 25 2004 - stark@suse.de
- added kernel.sem setting for all archs
* Wed Jul 21 2004 - stark@suse.de
- added PPC64 architecture
- set shmfs size to 60%% for now
* Tue Feb 17 2004 - stark@suse.de
- set arch dependency because of different requirements
  for kernel parameters
- added configuration for IA64
* Wed Apr 30 2003 - stark@suse.de
- made /etc/sysctl.conf replaceable
* Fri Jan 24 2003 - stark@suse.de
- bugfix for shmfs-size (was factor 100 too small :-()
* Thu Dec 12 2002 - stark@suse.de
- added vm.heap-stack-gap to sysctl and set to 256
* Fri Oct 25 2002 - stark@suse.de
- adopted for SLES8
* Fri May 17 2002 - stark@suse.de
- added S/390 notes and increase shmmax to 2G
* Tue Sep 04 2001 - stark@suse.de
- added msgmni settings (bjacke@suse.de)
